io.milvus.param.dml

## Class InsertParam.Field

- java.lang.Object
- - io.milvus.param.dml.InsertParam.Field

Enclosing class:
  InsertParam

    public static class InsertParam.Field
    extends java.lang.Object

Internal class for insert data. If dataType is Bool, values is List of Boolean; If dataType is Int64, values is List of Long; If dataType is Float, values is List of Float; If dataType is Double, values is List of Double; If dataType is Varchar, values is List of String; If dataType is FloatVector, values is List of List Float; If dataType is BinaryVector/Float16Vector/BFloat16Vector, values is List of ByteBuffer; If dataType is SparseFloatVector, values is List of SortedMap[Long, Float]; If dataType is Array, values can be List of List Boolean/Integer/Short/Long/Float/Double/String; If dataType is JSON, values is List of gson.JsonObject; Note: If dataType is Int8/Int16/Int32, values is List of Integer or Short (why? because the rpc proto only support int32/int64 type, actually Int8/Int16/Int32 use int32 type to encode/decode)

### Constructor Summary

Constructors
Constructor and Description
`Field(java.lang.String name, java.util.List<?> values)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Return name of the field.
`java.util.List<?>` `getValues()` Return data of the field, in column-base.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Field

    public Field(java.lang.String name,
                 java.util.List<?> values)

### Method Detail

#### getName

    public java.lang.String getName()

Return name of the field.

Returns:
  `String`

#### getValues

    public java.util.List<?> getValues()

Return data of the field, in column-base.

Returns:
  `List`